# GLM: glm::gtc::double_float Namespace Reference

# glm::gtc::double_float Namespace Reference

GLM_GTC_double_float extension: Add support for double precision floating-point types. More...

## Typedefs

typedef detail::tmat2x2< double > | dmat2
| 2 * 2 matrix of double-precision floating-point numbers.
typedef detail::tmat3x3< double > | dmat3
| 3 * 3 matrix of double-precision floating-point numbers.
typedef detail::tmat4x4< double > | dmat4
| 4 * 4 matrix of double-precision floating-point numbers.
typedef detail::tvec2< double > | dvec2
| Vector of 2 double-precision floating-point numbers.
typedef detail::tvec3< double > | dvec3
| Vector of 3 double-precision floating-point numbers.
typedef detail::tvec4< double > | dvec4
| Vector of 4 double-precision floating-point numbers.
typedef detail::tmat2x2< float > | fmat2
| 2 * 2 matrix of single-precision floating-point numbers.
typedef detail::tmat3x3< float > | fmat3
| 3 * 3 matrix of single-precision floating-point numbers.
typedef detail::tmat4x4< float > | fmat4
| 4 * 4 matrix of single-precision floating-point numbers.
typedef detail::tvec2< float > | fvec2
| Vector of 2 single-precision floating-point numbers.
typedef detail::tvec3< float > | fvec3
| Vector of 3 single-precision floating-point numbers.
typedef detail::tvec4< float > | fvec4
| Vector of 4 single-precision floating-point numbers.

## Detailed Description

GLM_GTC_double_float extension: Add support for double precision floating-point types.

## Typedef Documentation

typedef detail::tmat2x2<double> dmat2

2 * 2 matrix of double-precision floating-point numbers.

From GLM_GTC_double_float extension.

Definition at line 71 of file gtc/double_float.hpp.

typedef detail::tmat3x3<double> dmat3

3 * 3 matrix of double-precision floating-point numbers.

From GLM_GTC_double_float extension.

Definition at line 75 of file gtc/double_float.hpp.

typedef detail::tmat4x4<double> dmat4

4 * 4 matrix of double-precision floating-point numbers.

From GLM_GTC_double_float extension.

Definition at line 79 of file gtc/double_float.hpp.

typedef detail::tvec2<double> dvec2

Vector of 2 double-precision floating-point numbers.

From GLM_GTC_double_float extension.

Definition at line 59 of file gtc/double_float.hpp.

typedef detail::tvec3<double> dvec3

Vector of 3 double-precision floating-point numbers.

From GLM_GTC_double_float extension.

Definition at line 63 of file gtc/double_float.hpp.

typedef detail::tvec4<double> dvec4

Vector of 4 double-precision floating-point numbers.

From GLM_GTC_double_float extension.

Definition at line 67 of file gtc/double_float.hpp.

typedef detail::tmat2x2<float> fmat2

2 * 2 matrix of single-precision floating-point numbers.

From GLM_GTC_double_float extension.

Definition at line 47 of file gtc/double_float.hpp.

typedef detail::tmat3x3<float> fmat3

3 * 3 matrix of single-precision floating-point numbers.

From GLM_GTC_double_float extension.

Definition at line 51 of file gtc/double_float.hpp.

typedef detail::tmat4x4<float> fmat4

4 * 4 matrix of single-precision floating-point numbers.

From GLM_GTC_double_float extension.

Definition at line 55 of file gtc/double_float.hpp.

typedef detail::tvec2<float> fvec2

Vector of 2 single-precision floating-point numbers.

From GLM_GTC_double_float extension.

Definition at line 35 of file gtc/double_float.hpp.

typedef detail::tvec3<float> fvec3

Vector of 3 single-precision floating-point numbers.

From GLM_GTC_double_float extension.

Definition at line 39 of file gtc/double_float.hpp.

typedef detail::tvec4<float> fvec4

Vector of 4 single-precision floating-point numbers.

From GLM_GTC_double_float extension.

Definition at line 43 of file gtc/double_float.hpp.